package com.persagy.fm.sop.mapper;

import com.persagy.fm.sop.model.dto.Sop;
import com.persagy.fm.sop.model.dto.SopEdit;
import com.persagy.fm.sop.model.vo.SaveSopEditVo;
import com.persagy.fm.sop.model.vo.SaveSopVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface SopMapper {

    SopMapper INSTANCE = Mappers.getMapper(SopMapper.class );

    @Mapping(source = "sop_id" ,target ="sopId" )
    @Mapping(source = "project_id" ,target ="projectId" )
    @Mapping(source = "extend_field" ,target ="extendField" )
    @Mapping(source = "operator" ,target ="operator" )
    @Mapping(source = "sop_name" ,target ="sopName" )
    //@Mapping(source = "sop_type" ,target ="sopType" )
    @Mapping(source = "no_obj" ,target ="noObj" )
    @Mapping(source = "domains" ,target ="domains" )
    @Mapping(source = "order_type" ,target ="orderType" )
    @Mapping(source = "tools" ,target ="tools" )
    @Mapping(source = "fit_objs" ,target ="fitObjs" )
    @Mapping(source = "equip_model_ids" ,target ="equipModelIds" )
    @Mapping(source = "labels" ,target ="labels" )
    //@Mapping(source = "steps_version" ,target ="stepsVersion" )
    @Mapping(source = "steps" ,target ="steps" )
    @Mapping(source = "related_data" ,target ="relatedData" )
    //@Mapping(source = "sop_status" ,target ="sopStatus" )
    //@Mapping(source = "publish_status" ,target ="publishStatus" )
    //@Mapping(source = "ref_sop_ids" ,target ="refSopIds" )
    //@Mapping(source = "version" ,target ="version" )
    //@Mapping(source = "version_count" ,target ="versionCount" )
    //@Mapping(source = "version_explain" ,target ="versionExplain" )
    //@Mapping(source = "version_exp" ,target ="versionExp" )
    //@Mapping(source = "valid" ,target ="valid" )
    //@Mapping(source = "update_time" ,target ="updateTime" )
    Sop SaveSopVoToSop(SaveSopVo saveSopVo);

    @Mapping(source = "sop_edit_id" ,target ="sopEditId" )
    @Mapping(source = "sop_id" ,target ="sopId" )
    @Mapping(source = "project_id" ,target ="projectId" )
    @Mapping(source = "extend_field" ,target ="extendField" )
    @Mapping(source = "operator" ,target ="operator" )
    @Mapping(source = "sop_name" ,target ="sopName" )
    //@Mapping(source = "sop_type" ,target ="sopType" )
    @Mapping(source = "no_obj" ,target ="noObj" )
    @Mapping(source = "domains" ,target ="domains" )
    @Mapping(source = "order_type" ,target ="orderType" )
    @Mapping(source = "tools" ,target ="tools" )
    @Mapping(source = "fit_objs" ,target ="fitObjs" )
    @Mapping(source = "equip_model_ids" ,target ="equipModelIds" )
    @Mapping(source = "labels" ,target ="labels" )
    //@Mapping(source = "steps_version" ,target ="stepsVersion" )
    @Mapping(source = "steps" ,target ="steps" )
    @Mapping(source = "related_data" ,target ="relatedData" )
        //@Mapping(source = "sop_status" ,target ="sopStatus" )
        //@Mapping(source = "publish_status" ,target ="publishStatus" )
        //@Mapping(source = "ref_sop_ids" ,target ="refSopIds" )
        //@Mapping(source = "version" ,target ="version" )
        //@Mapping(source = "version_count" ,target ="versionCount" )
        //@Mapping(source = "version_explain" ,target ="versionExplain" )
        //@Mapping(source = "version_exp" ,target ="versionExp" )
        //@Mapping(source = "valid" ,target ="valid" )
        //@Mapping(source = "update_time" ,target ="updateTime" )
    SopEdit SaveSopEditVoToSopEdit(SaveSopEditVo saveSopEditVo);




}
